NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Properties | List of all members
NXOpen.CAE.UserDefinedSolidBeamSectionBuilder Class Reference

Represents a NXOpen.CAE.UserDefinedSolidBeamSectionBuilder More...

Inheritance diagram for NXOpen.CAE.UserDefinedSolidBeamSectionBuilder:
NXOpen.CAE.IBeamSectionBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Properties

unsafe string DescriptorName [get, set]
 Returns or sets the section descriptor name More...
 
unsafe
NXOpen.CAE.BeamSection.DirectionOption 
DirectionType [get, set]
 Returns or sets the option to define reference vector More...
 
unsafe NXOpen.Direction ReferenceVector [get, set]
 Returns or sets the reference vector More...
 
unsafe NXOpen.CAE.SelectCAEFace SolidFace [get]
 Returns the solid face More...
 
- Properties inherited from NXOpen.CAE.IBeamSectionBuilder
unsafe NXOpen.CAE.PropertyTable PropertyTable [get]
 Returns the section builder's NXOpen.CAE.PropertyTable More...
 
unsafe string SectionName [get, set]
 Returns or sets the section name More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Public Member Functions inherited from NXOpen.CAE.IBeamSectionBuilder
unsafe void GetUserDefinedStressRecoveryPoints (out NXOpen.Point2d[] points)
 Gets the user-defined stress recovery points. More...
 
unsafe void SetUserDefinedStressRecoveryPoints (NXOpen.Point2d[] points)
 Sets the user-defined stress recovery points. More...
 
- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.CAE.UserDefinedSolidBeamSectionBuilder

To create a new instance of this class, use NXOpen.CAE.BeamSectionsCollection.CreateUserDefinedSolidBeamSectionBuilder

Created in NX7.5.0

Property Documentation

unsafe string NXOpen.CAE.UserDefinedSolidBeamSectionBuilder.DescriptorName
getset

Returns or sets the section descriptor name

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

unsafe NXOpen.CAE.BeamSection.DirectionOption NXOpen.CAE.UserDefinedSolidBeamSectionBuilder.DirectionType
getset

Returns or sets the option to define reference vector

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

unsafe NXOpen.Direction NXOpen.CAE.UserDefinedSolidBeamSectionBuilder.ReferenceVector
getset

Returns or sets the reference vector

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

unsafe NXOpen.CAE.SelectCAEFace NXOpen.CAE.UserDefinedSolidBeamSectionBuilder.SolidFace
get

Returns the solid face

Created in NX7.5.0

License requirements: None.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.